# 运营中心-数据提取项目

## 流程

- 通过otter同步相关数据表，增加sync_time字段（同步时间）驱动定时任务扫描
- 从业务方订单表、订单商品表、商品表提取数据入库运营中心

## Base

数据同步基础:

- 搭建otter环境
- 配置otter同步数据
    - 需要业务方提供全量初始sql文件(mysqldump -u -p --single-transaction --master-data=2 --databases --tables >
      data.sql)
    - 导入初始sql文件
    - 给业务表增加sync_time字段(ALTER TABLE flsc_shop_order_refund ADD COLUMN `sync_time` datetime NOT NULL DEFAULT
      CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '同步时间' AFTER `address_info`;)
    - otter中建立源表（同步过来的业务表）和目标表的映射
    - 注意数据表同步的优先级

## 福利商城数据提取

- 全量API
- 定时任务

## 服务之窗数据提取

## 楼闪送数据提取