package cn.superdesk.data.extract.enums.opCenter;

/**
 * @author xc
 * @description
 * @date 2023/3/22 16:46
 */
public enum OpCenterIsDutyFreeEnum {
    不免税(0, "不免税"),
    免税(1, "免税"),
    ;
    private final Integer code;
    private final String desc;

    OpCenterIsDutyFreeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    /**
     * 根据code获取desc
     */
    public static String getDescByCode(Integer code) {
        for (OpCenterIsDutyFreeEnum opCenterIsDutyFreeEnum : OpCenterIsDutyFreeEnum.values()) {
            if (opCenterIsDutyFreeEnum.getCode().equals(code)) {
                return opCenterIsDutyFreeEnum.getDesc();
            }
        }
        return null;
    }
}
