package cn.superdesk.data.extract.entity.flsc;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("flsc_qtyx_order_submit_order")
public class FlscQtyxOrderSubmitOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 我方订单号
     */
    @TableField("shopOrderSn")
    private String shopordersn;

    /**
     * 第三方订单号
     */
    @TableField("thirdOrderSn")
    private String thirdordersn;

    /**
     * 我方父单编号
     */
    @TableField("parentShopOrderSn")
    private String parentshopordersn;

    /**
     * 第三方父单编号
     */
    @TableField("parentThirdOrderSn")
    private String parentthirdordersn;

    /**
     * 运费
     */
    @TableField("dispatchprice")
    private BigDecimal dispatchprice;

    /**
     * 商品编号以逗号隔开
     */
    @TableField("skuIds")
    private String skuids;

    @TableField("createtime")
    private Integer createtime;

    @TableField("updatetime")
    private Integer updatetime;

    @TableField("sendtime")
    private Integer sendtime;

    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;


}
