package cn.superdesk.data.extract.service.flsc;

import cn.superdesk.data.extract.entity.flsc.FlscShopThirdOrderPay;
import cn.superdesk.data.extract.entity.flsc.FlscShopThirdOrderRefund;
import cn.superdesk.data.extract.entity.opCenter.OperationCenterOrder;
import cn.superdesk.data.extract.entity.opCenter.OperationCenterOrderGoods;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
public interface FlscShopThirdOrderPayService extends IService<FlscShopThirdOrderPay> {

    void handleAllOrder();

    void handleAllThirdOrderGoods();

    OperationCenterOrder buildOpCenterOrderFromFlscThirdOrder(FlscShopThirdOrderPay flscShopThirdOrderPay);

    OperationCenterOrderGoods buildOpCenterOrderGoodsFromFlscThirdOrder(FlscShopThirdOrderPay flscShopThirdOrderPay);

    OperationCenterOrderGoods buildOpCenterRefundOrderGoodsFromFlscThirdOrder(FlscShopThirdOrderRefund flscShopThirdOrderRefund, FlscShopThirdOrderPay flscShopThirdOrderPay);
}
