package cn.superdesk.data.extract.service.opCenter;

import cn.superdesk.data.extract.entity.opCenter.OperationCenterPayment;
import cn.superdesk.data.extract.entity.opCenter.OperationCenterPaymentBiz;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 运营中心-平台支付方式-业务方支付方式映射关系表 服务类
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
public interface OperationCenterPaymentBizService extends IService<OperationCenterPaymentBiz> {

    /**
     * 根据业务平台编码 & 业务方支付方式id 获取平台支付方式id
     * @param code 业务平台编码
     * @param payType 业务方支付方式id
     * @return 平台支付方式
     */
    OperationCenterPayment getPlatformPayment(String code, Integer payType);
}
