package cn.superdesk.data.extract.entity.flsc;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("flsc_shop_third_order_refund")
public class FlscShopThirdOrderRefund implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 订单ID
     */
    @TableField("orderid")
    private Integer orderid;

    /**
     * 退款编号
     */
    @TableField("refundno")
    private String refundno;

    /**
     * 金额
     */
    @TableField("price")
    private String price;

    /**
     * 原因
     */
    @TableField("reason")
    private String reason;

    /**
     * 详细内容
     */
    @TableField("content")
    private String content;

    @TableField("createtime")
    private Integer createtime;

    /**
     * 状态(1:待审核,2:已通过,3:拒绝)
     */
    @TableField("status")
    private Integer status;

    /**
     * 后台留言
     */
    @TableField("reply")
    private String reply;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 处理时间
     */
    @TableField("operatetime")
    private Integer operatetime;

    /**
     * 第三方售后编号
     */
    @TableField("third_refundno")
    private String thirdRefundno;

    /**
     * 订单来源
     */
    @TableField("source_from")
    private String sourceFrom;

    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;


}
