package cn.superdesk.data.extract.entity.opCenter;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 运营中心-运营商结算策略关系表
 * </p>
 *
 * @author storyxc
 * @since 2023-03-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("tb_operation_center_operator_settlement_strategy")
public class OperationCenterOperatorSettlementStrategy implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 运营商id（运营中心的）
     */
    @TableField("operator_id")
    private Long operatorId;

    /**
     * 结算取值策略id
     */
    @TableField("strategy_id")
    private Long strategyId;


}
