package cn.superdesk.data.extract.mapper.flsc;

import cn.superdesk.data.extract.entity.flsc.FlscShopOrderGoods;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.ResultType;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
public interface FlscShopOrderGoodsMapper extends BaseMapper<FlscShopOrderGoods> {

    @Select("select count(1) from flsc_shop_order_goods")
    @ResultType(Integer.class)
    Integer selectTotalCount();

    @Select("select * from flsc_shop_order_goods limit #{offset} , #{limit}")
    @ResultMap("BaseResultMap")
    List<FlscShopOrderGoods> selectByBatch(@Param("offset") int offset, @Param("limit") int batchSize);
}
