package cn.superdesk.data.extract.enums;

/**
 * @author xc
 * @description
 * @date 2023/3/29 09:15
 */
public enum OpCenterJobSyncTypeEnum {
    /**
     * 任务同步类型
     */
    按照指定时间同步(1, "按照指定时间同步"),
    按照唯一标识同步(2, "按照唯一标识同步"),
    默认同步(3, "默认同步");;
    private final Integer code;
    private final String desc;


    OpCenterJobSyncTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static String getDescByCode(Integer code) {
        for (OpCenterJobSyncTypeEnum e : OpCenterJobSyncTypeEnum.values()) {
            if (e.getCode().equals(code)) {
                return e.getDesc();
            }
        }
        return null;
    }
}
