package cn.superdesk.data.extract.service.flsc;

import cn.superdesk.data.extract.entity.flsc.FlscShopGoods;
import cn.superdesk.data.extract.entity.flsc.FlscShopOrder;
import cn.superdesk.data.extract.entity.flsc.FlscShopOrderGoods;
import cn.superdesk.data.extract.entity.opCenter.OperationCenterOrder;
import cn.superdesk.data.extract.entity.opCenter.OperationCenterOrderGoods;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
public interface FlscShopOrderGoodsService extends IService<FlscShopOrderGoods> {

    /**
     * 全量处理福利商城订单商品
     */
    void handleAllOrderGoods();

    /**
     * 构造运营中心订单商品
     *
     * @param flscShopOrderGoods
     * @param flscShopOrder
     * @param operationCenterOrder
     * @param goods
     * @return
     */
    OperationCenterOrderGoods buildOpCenterOrderGoodsFlscOrderGoods(FlscShopOrderGoods flscShopOrderGoods, FlscShopOrder flscShopOrder, OperationCenterOrder operationCenterOrder, FlscShopGoods goods);
}
